Crazy Eddies GUI System: CEGUI::GroupBox Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions
CEGUI::GroupBox Class Reference

Base class for standard GroupBox widget. More...

Inheritance diagram for CEGUI::GroupBox:
[legend]
Collaboration diagram for CEGUI::GroupBox:
[legend]

List of all members.

## Public Member Functions
| GroupBox (const String &type, const String &name)
| Constructor for GroupBox class.
virtual | ~GroupBox ()
| Destructor for GroupBox class.
bool | drawAroundWidget (const CEGUI::Window *wnd)
| Draws the GroupBox around a widget. The size and position of the GroupBox are overriden. Once the window that is drawn around resizes, you'll have to call the function again. FIXME.
bool | drawAroundWidget (const String &name)
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.
Window * | getContentPane () const
| Returns the content pane held by this GroupBox.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | WidgetTypeName
static const String | ContentPaneNameSuffix
## Protected Member Functions
virtual void | initialiseComponents ()
| Initializes the components necessary.
virtual void | addChild_impl (Window *wnd)
| Add given window to child list at an appropriate position.
virtual void | removeChild_impl (Window *wnd)
| Remove our child again when necessary.

## Detailed Description

Base class for standard GroupBox widget.

## Member Function Documentation

Window* CEGUI::GroupBox::getContentPane | ( |  | ) | const

Returns the content pane held by this GroupBox.

Returns:
  Pointer to a Window instance.

virtual bool CEGUI::GroupBox::testClassName_impl | ( | const String & | class_name | ) | const`[inline, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::Window.

References CEGUI::Window::testClassName_impl().